Package org.apache.sling.distribution.serialization

## Class DistributionExportOptions

- java.lang.Object
- - org.apache.sling.distribution.serialization.DistributionExportOptions

    public final class DistributionExportOptions
    extends Object

Export options used to identify and process the resources to be extracted by `DistributionContentSerializer.exportToStream(ResourceResolver, DistributionExportOptions, OutputStream)`.

### Constructor Summary

Constructors
`DistributionExportOptions​(@Nullable org.apache.sling.distribution.DistributionRequest request, @Nullable DistributionExportFilter filter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable DistributionExportFilter` `getFilter()` get the export filter
`@Nullable org.apache.sling.distribution.DistributionRequest` `getRequest()` get the distribution request

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DistributionExportOptions

    public DistributionExportOptions​(@Nullable
                                     @Nullable org.apache.sling.distribution.DistributionRequest request,
                                     @Nullable
                                     @Nullable DistributionExportFilter filter)

### Method Detail

#### getRequest

    @Nullable
    public @Nullable org.apache.sling.distribution.DistributionRequest getRequest()

get the distribution request

Returns:
  the distribution request

#### getFilter

    @Nullable
    public @Nullable DistributionExportFilter getFilter()

get the export filter

Returns:
  the export filter